<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__customc__desc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_customc_desc_t</compoundname>
    <includes local="no">cy_ble_custom.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__customc__desc__t_1a0c914397924058e04258ad8f52864dcb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref> *</type>
        <definition>cy_ble_gatt_db_attr_handle_t* cy_stc_ble_customc_desc_t::descHandle</definition>
        <argsstring />
        <name>descHandle</name>
        <briefdescription>
<para>Custom Descriptor handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="71" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="71" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__desc__t_1a906dc0f0ca847b4c50b9d68b7b767053" kind="variable" mutable="no" prot="public" static="no">
        <type>const void *</type>
        <definition>const void* cy_stc_ble_customc_desc_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>Custom Descriptor 128 bit UUID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="74" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__desc__t_1aac487f72e619943258f0e3d3088b9cea" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_customc_desc_t::uuidFormat</definition>
        <argsstring />
        <name>uuidFormat</name>
        <briefdescription>
<para>UUID Format - 16-bit (0x01) or 128-bit (0x02) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="77" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of Custom Service Descriptors. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="78" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="69" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__customc__desc__t_1a0c914397924058e04258ad8f52864dcb" virt="non-virtual"><scope>cy_stc_ble_customc_desc_t</scope><name>descHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__desc__t_1a906dc0f0ca847b4c50b9d68b7b767053" virt="non-virtual"><scope>cy_stc_ble_customc_desc_t</scope><name>uuid</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__desc__t_1aac487f72e619943258f0e3d3088b9cea" virt="non-virtual"><scope>cy_stc_ble_customc_desc_t</scope><name>uuidFormat</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>